﻿/**Begin D:\PDM\PDM_UPGRADE\pdm1\MON_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_LARGEFUNDDETAIL')
 CREATE TABLE T_MON_LARGEFUNDDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FFUNDORGID BIGINT DEFAULT 0 NOT NULL,
FCONVERTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FUPCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FUPSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCOMBINEGEN CHAR(1) DEFAULT '0' NOT NULL,
FDIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FTHRESHOLDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPPUNITTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPPUNITID BIGINT DEFAULT 0 NOT NULL,
FOPPUNITTEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFUNUSEID BIGINT DEFAULT 0 NOT NULL,
FFUNDUSEDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_LARGEFUNDDETAIL_E')
 CREATE TABLE T_MON_LARGEFUNDDETAIL_E (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSCRBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDETAILAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAGREEDQUOTATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDISCOUNTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSOURCE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_LARGEFUNDDETAIL_L')
 CREATE TABLE T_MON_LARGEFUNDDETAIL_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FFUNDUSEDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_FUNDSUMBILL')
 CREATE TABLE T_MON_FUNDSUMBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FFUNDORGID BIGINT DEFAULT 0 NOT NULL,
FTRADEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FUPCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FUPSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FDIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTOCKAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLARGETRADEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLARGETRADENUM INT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_FUNDSUMBILL_L')
 CREATE TABLE T_MON_FUNDSUMBILL_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_REPORTFUNDORG')
 CREATE TABLE T_MON_REPORTFUNDORG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUNIFYSOCIALCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREPORTCONTENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINSYSTEM CHAR(1) DEFAULT '0' NOT NULL,
FAPPLYALL CHAR(1) DEFAULT '0' NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FLASTEDUPTIME DATETIME,
FFAILUPCOUNT INT DEFAULT 0 NOT NULL,
FSUMLASTEDUPTIME DATETIME,
FSUMLASTEDSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_REPORTFUNDORG_E')
 CREATE TABLE T_MON_REPORTFUNDORG_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSOURCE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARKS NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_REPORTFUNDORG_L')
 CREATE TABLE T_MON_REPORTFUNDORG_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_LARGEPARAMSET')
 CREATE TABLE T_MON_LARGEPARAMSET (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT,
FUNIFYSOCIALCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDETAILTYPECODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDETAILVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUMMARYTYPECODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUMMARYVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOFFINTERNAL CHAR(1) DEFAULT '0' NOT NULL,
FMERGE CHAR(1) DEFAULT '0' NOT NULL,
FDETAILKEEPDAYS INT DEFAULT 0 NOT NULL,
FSUMKEEPDAYS INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_LARGEPARAMSET_OUSE')
 CREATE TABLE T_MON_LARGEPARAMSET_OUSE (
FUNITTEXT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_LARGEPARAMSET_L')
 CREATE TABLE T_MON_LARGEPARAMSET_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_LARGETHRESHOLD')
 CREATE TABLE T_MON_LARGETHRESHOLD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FAPPLYALL CHAR(1) DEFAULT '0' NOT NULL,
FCURRENCYID BIGINT DEFAULT 1 NOT NULL,
FDEFAULTTHRESHOLD DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FBYFUNDUSE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_LARGETHRESHOLD_TSE')
 CREATE TABLE T_MON_LARGETHRESHOLD_TSE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFUNDUSEID BIGINT DEFAULT 0 NOT NULL,
FTHRESHOLD DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_LARGETHRESHOLD_AOE')
 CREATE TABLE T_MON_LARGETHRESHOLD_AOE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_LARGETHRESHOLD_L')
 CREATE TABLE T_MON_LARGETHRESHOLD_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(50) DEFAULT ' ' NOT NULL
);


/**End D:\PDM\PDM_UPGRADE\pdm1\MON_table.sql **/
