/**Begin D:\PDM_UPGRADE\PDM1\SAR_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_MON_LARGETHRESHOLD_DTS', 'T_MON_LARGETHRESHOLD_DTS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_LTDTS_FDEBTTYPEID') CREATE INDEX IDX_MON_LTDTS_FDEBTTYPEID ON T_MON_LARGETHRESHOLD_DTS ( FDEBTTYPEID );


 EXEC P_ALTERPK 'PK_T_SAR_DEBTTYPE', 'T_SAR_DEBTTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SAR_DEBTTYPE_FNUMBER') CREATE UNIQUE INDEX IDX_SAR_DEBTTYPE_FNUMBER ON T_SAR_DEBTTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_SAR_DEBTTYPE_L', 'T_SAR_DEBTTYPE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_SAR_DEBTTYPE_L_LOCAL') CREATE  CLUSTERED INDEX IDX_T_SAR_DEBTTYPE_L_LOCAL ON T_SAR_DEBTTYPE_L ( FLOCALEID ,FID );


 EXEC P_ALTERPK 'PK_T_SAR_DEBT_MATCHRULES', 'T_SAR_DEBT_MATCHRULES', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SAR_MATCHRULES_FNUMBER') CREATE UNIQUE INDEX IDX_SAR_MATCHRULES_FNUMBER ON T_SAR_DEBT_MATCHRULES ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_SAR_DB_MATCHRULES_ENTRY', 'T_SAR_DB_MATCHRULES_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SAR_DB_ENTRY_FID') CREATE INDEX IDX_SAR_DB_ENTRY_FID ON T_SAR_DB_MATCHRULES_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_SAR_DEBT_MATCHRULES_L', 'T_SAR_DEBT_MATCHRULES_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SAR_DB_MATCHRULES_L_LOCAL') CREATE  CLUSTERED INDEX IDX_SAR_DB_MATCHRULES_L_LOCAL ON T_SAR_DEBT_MATCHRULES_L ( FLOCALEID ,FID );


 EXEC P_ALTERPK 'PK_T_SAR_DEBTDETAIL', 'T_SAR_DEBTDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SAR_DBL_FBILLNO') CREATE INDEX IDX_SAR_DBL_FBILLNO ON T_SAR_DEBTDETAIL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SAR_DBL_FBIZDATE') CREATE INDEX IDX_SAR_DBL_FBIZDATE ON T_SAR_DEBTDETAIL ( FBIZDATE );


 EXEC P_ALTERPK 'PK_T_SAR_DEBTDETAIL_SRC', 'T_SAR_DEBTDETAIL_SRC', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SAR_DBSRC_FBILLBO') CREATE INDEX IDX_SAR_DBSRC_FBILLBO ON T_SAR_DEBTDETAIL_SRC ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_SAR_DEBTDETAIL_L', 'T_SAR_DEBTDETAIL_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SAR_DB_L_LOCAL') CREATE  CLUSTERED INDEX IDX_SAR_DB_L_LOCAL ON T_SAR_DEBTDETAIL_L ( FLOCALEID ,FID );



/**End D:\PDM_UPGRADE\PDM1\SAR_constraint.sql **/
