/**Begin D:\PDM_UPGRADE\PDM1\SAR_table.sql **/
 EXEC p_AlterColumn 'T_MON_LARGEPARAMSET', 'FORGID', 'BIGINT', 'NOT NULL', '0011', '0';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MON_LARGEPARAMSET' AND KSQL_COL_NAME IN ('FDEBTKEEPDAYS'))
 ALTER TABLE T_MON_LARGEPARAMSET ADD (FDEBTKEEPDAYS INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MON_LARGEPARAMSET' AND KSQL_COL_NAME IN ('FDEBTREPORTPERIOD'))
 ALTER TABLE T_MON_LARGEPARAMSET ADD (FDEBTREPORTPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MON_LARGEPARAMSET' AND KSQL_COL_NAME IN ('FOFFINTERNALLOAN'))
 ALTER TABLE T_MON_LARGEPARAMSET ADD (FOFFINTERNALLOAN CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MON_LARGETHRESHOLD' AND KSQL_COL_NAME IN ('FBYDEBTTYPE'))
 ALTER TABLE T_MON_LARGETHRESHOLD ADD (FBYDEBTTYPE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MON_LARGETHRESHOLD' AND KSQL_COL_NAME IN ('FDEFDEBTTHRESHOLD'))
 ALTER TABLE T_MON_LARGETHRESHOLD ADD (FDEFDEBTTHRESHOLD DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MON_REPORTFUNDORG' AND KSQL_COL_NAME IN ('FDEBTREPORTCONTENT'))
 ALTER TABLE T_MON_REPORTFUNDORG ADD (FDEBTREPORTCONTENT NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MON_LARGETHRESHOLD_DTS')
 CREATE TABLE T_MON_LARGETHRESHOLD_DTS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDEBTTYPEID BIGINT DEFAULT 0 NOT NULL,
FTHRESHOLD DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SAR_DEBTTYPE')
 CREATE TABLE T_SAR_DEBTTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FENABLEDATE DATETIME,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SAR_DEBTTYPE_L')
 CREATE TABLE T_SAR_DEBTTYPE_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SAR_DEBT_MATCHRULES')
 CREATE TABLE T_SAR_DEBT_MATCHRULES (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FENABLEDATE DATETIME,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDEFDEBTTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SAR_DB_MATCHRULES_ENTRY')
 CREATE TABLE T_SAR_DB_MATCHRULES_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCONDITION VARCHAR(1024) DEFAULT ' ' NOT NULL,
FDEBTTYPEID BIGINT DEFAULT 0 NOT NULL,
FCONDITIONDATA NCLOB,
FCONDITIONDATA_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SAR_DEBT_MATCHRULES_L')
 CREATE TABLE T_SAR_DEBT_MATCHRULES_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SAR_DEBTDETAIL')
 CREATE TABLE T_SAR_DEBTDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FRPSTARTDATE DATETIME,
FBIZDATE DATETIME,
FFUNDORGID BIGINT DEFAULT 0 NOT NULL,
FRPENDDATE DATETIME,
FBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEBTBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDEBTTYPEID BIGINT DEFAULT 0 NOT NULL,
FDEBTORGID BIGINT DEFAULT 0 NOT NULL,
FDEBTCAPITALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITORTEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDEBTINTERESTRATE DECIMAL(23,2) DEFAULT 0 NOT NULL,
FDEBTBIZDATA DATETIME,
FEXPIREDATE DATETIME,
FCURRENTEXPIREAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTEXPIREDATE DATETIME,
FISREPAY CHAR(1) DEFAULT '1' NOT NULL,
FSITUATIONDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUPCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FUPSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSOURCE CHAR(1) DEFAULT '0' NOT NULL,
FUPDATATIME DATETIME,
FUPDATATOR BIGINT DEFAULT 0 NOT NULL,
FRETURNDATA NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SAR_DEBTDETAIL_SRC')
 CREATE TABLE T_SAR_DEBTDETAIL_SRC (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDEBTOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SAR_DEBTDETAIL_L')
 CREATE TABLE T_SAR_DEBTDETAIL_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FSITUATIONDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRETURNDATA NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\SAR_table.sql **/
