﻿/**Begin D:\PDM\PDM_UPGRADE\pdm1\MON_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_MON_LARGEFUNDDETAIL', 'T_MON_LARGEFUNDDETAIL', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_LIL_FBILLNO') CREATE INDEX IDX_MON_LIL_FBILLNO ON T_MON_LARGEFUNDDETAIL ( FBILLNO );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_LIL_FBIZDATE') CREATE INDEX IDX_MON_LIL_FBIZDATE ON T_MON_LARGEFUNDDETAIL ( FBIZDATE );

 EXEC P_ALTERPK 'PK_T_MON_LARGEFUNDDETAIL_E', 'T_MON_LARGEFUNDDETAIL_E', 'FENTRYID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_LE_FBILLBO') CREATE INDEX IDX_MON_LE_FBILLBO ON T_MON_LARGEFUNDDETAIL_E ( FSCRBILLNO );

 EXEC P_ALTERPK 'PK_T_MON_LARGEFUNDDETAIL_L', 'T_MON_LARGEFUNDDETAIL_L', 'FPKID', '0';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_LIL_L_LOCAL') CREATE INDEX IDX_MON_LIL_L_LOCAL ON T_MON_LARGEFUNDDETAIL_L ( FLOCALEID ,FID );

 EXEC P_ALTERPK 'PK_T_MON_FUNDSUMBILL', 'T_MON_FUNDSUMBILL', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_FUNDSUMBILL_FBILLNO') CREATE INDEX IDX_MON_FUNDSUMBILL_FBILLNO ON T_MON_FUNDSUMBILL ( FBILLNO );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_FUNDSUMBILL_DATE') CREATE INDEX IDX_MON_FUNDSUMBILL_DATE ON T_MON_FUNDSUMBILL ( FBIZDATE );

 EXEC P_ALTERPK 'PK_T_MON_FUNDUSE', 'T_MON_FUNDUSE', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_FUNDUSE_FNUMBER') CREATE UNIQUE INDEX IDX_MON_FUNDUSE_FNUMBER ON T_MON_FUNDUSE ( FNUMBER );

 EXEC P_ALTERPK 'PK_T_MON_FUNDUSE_L', 'T_MON_FUNDUSE_L', 'FPKID', '0';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_FUNDUSE_L_LOCAL') CREATE  CLUSTERED INDEX IDX_MON_FUNDUSE_L_LOCAL ON T_MON_FUNDUSE_L ( FLOCALEID ,FID );

 EXEC P_ALTERPK 'PK_MON_MATCHRULES', 'T_MON_MATCHRULES', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_MATCHRULES_FNUMBER') CREATE UNIQUE INDEX IDX_MON_MATCHRULES_FNUMBER ON T_MON_MATCHRULES ( FNUMBER );

 EXEC P_ALTERPK 'PK_T_MON_MATCHRULES_ENTRY', 'T_MON_MATCHRULES_ENTRY', 'FENTRYID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_TR_FID') CREATE INDEX IDX_MON_TR_FID ON T_MON_MATCHRULES_ENTRY ( FID );

 EXEC P_ALTERPK 'PK_T_MON_MATCHRULES_L', 'T_MON_MATCHRULES_L', 'FPKID', '0';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_MATCHRULES_L_LOCAL') CREATE  CLUSTERED INDEX IDX_MON_MATCHRULES_L_LOCAL ON T_MON_MATCHRULES_L ( FLOCALEID ,FID );

EXEC P_ALTERPK 'PK_T_MON_REPORTFUNDORG', 'T_MON_REPORTFUNDORG', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_REPORTFUNDORG_FNAME') CREATE INDEX IDX_MON_REPORTFUNDORG_FNAME ON T_MON_REPORTFUNDORG ( FNAME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_REPORTFUNDORG_FNUMBER') CREATE INDEX IDX_MON_REPORTFUNDORG_FNUMBER ON T_MON_REPORTFUNDORG ( FNUMBER ,FNAME );


 EXEC P_ALTERPK 'PK_T_MON_REPORTFUNDORG_E', 'T_MON_REPORTFUNDORG_E', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_RFACT_FACCOUNTID') CREATE INDEX IDX_MON_RFACT_FACCOUNTID ON T_MON_REPORTFUNDORG_E ( FACCOUNTID );


 EXEC P_ALTERPK 'PK_T_MON_REPORTFUNDORG_L', 'T_MON_REPORTFUNDORG_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_REPORTFUNDORG_L_LOCAL') CREATE INDEX IDX_MON_REPORTFUNDORG_L_LOCAL ON T_MON_REPORTFUNDORG_L ( FLOCALEID ,FID );


 EXEC P_ALTERPK 'PK_T_MON_LARGEPARAMSET', 'T_MON_LARGEPARAMSET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_LARGEPARAMSET_FNUMBER') CREATE INDEX IDX_MON_LARGEPARAMSET_FNUMBER ON T_MON_LARGEPARAMSET ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MON_LARGEPARAMSET_OUSE', 'T_MON_LARGEPARAMSET_OUSE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_LPSOUSE_UNIT') CREATE INDEX IDX_MON_LPSOUSE_UNIT ON T_MON_LARGEPARAMSET_OUSE ( FUNITTEXT );


 EXEC P_ALTERPK 'PK_T_MON_LARGEPARAMSET_L', 'T_MON_LARGEPARAMSET_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_LARGEPARAMSET_L_LOCAL') CREATE INDEX IDX_MON_LARGEPARAMSET_L_LOCAL ON T_MON_LARGEPARAMSET_L ( FLOCALEID ,FID );


 EXEC P_ALTERPK 'PK_T_MON_LARGETHRESHOLD', 'T_MON_LARGETHRESHOLD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_LARGETHRESHOLD_FNAME') CREATE INDEX IDX_MON_LARGETHRESHOLD_FNAME ON T_MON_LARGETHRESHOLD ( FNAME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_LT_FNUMBER_FNAME') CREATE INDEX IDX_MON_LT_FNUMBER_FNAME ON T_MON_LARGETHRESHOLD ( FNUMBER ,FNAME );


 EXEC P_ALTERPK 'PK_T_MON_LARGETHRESHOLD_TSE', 'T_MON_LARGETHRESHOLD_TSE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_LTTSE_FFUNDUSEID') CREATE INDEX IDX_MON_LTTSE_FFUNDUSEID ON T_MON_LARGETHRESHOLD_TSE ( FFUNDUSEID );


 EXEC P_ALTERPK 'PK_T_MON_LARGETHRESHOLD_AOE', 'T_MON_LARGETHRESHOLD_AOE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_LTAOE_ORGID') CREATE INDEX IDX_MON_LTAOE_ORGID ON T_MON_LARGETHRESHOLD_AOE ( FORGID );


 EXEC P_ALTERPK 'PK_T_MON_LARGETHRESHOLD_L', 'T_MON_LARGETHRESHOLD_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_LARGETHRESHOLD_L_LOCAL') CREATE INDEX IDX_MON_LARGETHRESHOLD_L_LOCAL ON T_MON_LARGETHRESHOLD_L ( FLOCALEID ,FID );

 EXEC P_ALTERPK 'PK_T_MON_FUNDSUMBILL_L', 'T_MON_FUNDSUMBILL_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MON_FUNDSUMBILL_L') CREATE INDEX IDX_MON_FUNDSUMBILL_L ON T_MON_FUNDSUMBILL_L ( FLOCALEID ,FID );
/**End D:\PDM\PDM_UPGRADE\pdm1\MON_constraint.sql **/
